CREATE TABLE `taxa` (
  `taxon_id` int(11) NOT NULL auto_increment,
  `division` varchar(64) default NULL,
  `family` varchar(64) default NULL,
  `genus` varchar(64) default NULL,
  `species` varchar(64) default NULL,
  `subsp` varchar(64) default NULL,
  `var` varchar(64) default NULL,
  PRIMARY KEY  (`taxon_id`),
  KEY `division_index` (`division`),
  KEY `family_index` (`family`),
  KEY `genus_index` (`genus`),
  KEY `species_index` (`species`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `loci` (
  `locus_id` int(11) NOT NULL auto_increment,
  `name_short` varchar(16) default NULL,
  `name_long` varchar(255) default NULL,
  `genome` varchar(32) default NULL,
  PRIMARY KEY  (`locus_id`),
  KEY `name_sort_index` (`name_short`),
  KEY `name_long_index` (`name_long`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `sequences` (
  `seq_id` int(11) NOT NULL auto_increment,
  `taxon_id` int(11) default NULL,
  `locus_id` int(11) default NULL,
  `genbank_id` varchar(16) default NULL,
  `genbank_version` int(11) default NULL,
  `sequence` blob,
  `score` int(11) default NULL,
  PRIMARY KEY  (`seq_id`),
  KEY `taxon_index` (`taxon_id`),
  KEY `gene_id` (`locus_id`),
  KEY `genbank_index` (`genbank_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

CREATE TABLE `freq10` (
  `freq_id` int(11) NOT NULL auto_increment,
  `locus_id` int(11) default NULL,
  `motif_id` int(11) default NULL,
  `hits` int(11) default NULL,
  PRIMARY KEY  (`freq_id`),
  UNIQUE KEY `locus_motif` (`locus_id`,`motif_id`),
  KEY `locus_index` (`locus_id`),
  KEY `motif_index` (`motif_id`),
  KEY `hits_index` (`hits`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;
